function [opt x1 x2] = opti_conso(A,a,b,p1,p2,R)
%Calcule l'optimum du consommateur ayant pour fonction d'utilité
%un fonction Cobb-Douglas de paramètres A, alpha et beta, et
%une contrainte de revenu du type p1*x1+p2*x=R
%
%Syntaxe : 
% optimum = opti_conso(A,alpha,beta,p1,p2,R)
% Donne la valeur de l'optimum.
%
% [optimum, x1etoile, x2etoile] = opti_conso(A,alpha,beta,p1,p2,R)
% Donne la valeur de l'optimum et les valeurs de x1 et x2 correspondantes.

x1 = R/(p1*(1+b/a));
x2 = R/(p2*(1+a/b));
opt = util_conso(x1,x2,A,a,b);
