function util = util_conso(x1,x2,A,a,b)
%Calcule l'utilité du consommateur en fonction des quantités x1 et x2, pour
%une fonction Cobb-Douglas de paramètres A, alpha et beta
%Syntaxe : utilité = util_conso(x1,x2,A,alpha,beta)
%x1 et x2 peuvent être des scalaires, vecteurs ou matrices.

[k l] = size(x1); %Dimension de x1
util = zeros(k,l); %On génère une matrice nulle de la bonne dimension
for i =1:k %On la parcourt et on la remplit
    for j =1:l
        util(i,j) = A*(x1(i,j)^a)*(x2(i,j)^b); %Fonction Cobb-Douglas
    end
end
